commit: 3c668e7d14d1a26ea2d2ae78b81938d6d3b3383d
Author: Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 17 21:00:16 2018 +0000
Commit: Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Tue Apr 17 21:00:57 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3c668e7d
games-arcade/komi: Stop using games.eclass
Package-Manager: Portage-2.3.28, Repoman-2.3.9
games-arcade/komi/files/1.04-DESTDIR.patch | 4 +--
games-arcade/komi/files/komi-1.04-install.patch | 4 +--
games-arcade/komi/komi-1.04-r1.ebuild | 43 +++++++++++++++++++++++++
3 files changed, 47 insertions(+), 4 deletions(-)
diff --git a/games-arcade/komi/files/1.04-DESTDIR.patch
b/games-arcade/komi/files/1.04-DESTDIR.patch
index 2573b01e5c9..4060d51f3a7 100644
--- a/games-arcade/komi/files/1.04-DESTDIR.patch
+++ b/games-arcade/komi/files/1.04-DESTDIR.patch
@@ -1,5 +1,5 @@
---- Makefile.orig 2004-12-11 01:36:11.000000000 -0800
-+++ Makefile 2004-12-11 01:36:14.000000000 -0800
+--- a/Makefile.orig 2004-12-11 01:36:11.000000000 -0800
++++ b/Makefile 2004-12-11 01:36:14.000000000 -0800
@@ -13,9 +13,7 @@
MIXER=-lSDL_mixer
SDL_LIB=$(shell sdl-config --static-libs) $(MIXER)
diff --git a/games-arcade/komi/files/komi-1.04-install.patch
b/games-arcade/komi/files/komi-1.04-install.patch
index d00a48d296f..30395eaff72 100644
--- a/games-arcade/komi/files/komi-1.04-install.patch
+++ b/games-arcade/komi/files/komi-1.04-install.patch
@@ -1,5 +1,5 @@
---- Makefile.old 2015-01-05 11:35:24.794160467 +0100
-+++ Makefile 2015-01-05 11:36:23.181058180 +0100
+--- a/Makefile.old 2015-01-05 11:35:24.794160467 +0100
++++ b/Makefile 2015-01-05 11:36:23.181058180 +0100
@@ -24,8 +24,6 @@
install:
install -d $(DESTDIR)$(DATAPATH)
diff --git a/games-arcade/komi/komi-1.04-r1.ebuild
b/games-arcade/komi/komi-1.04-r1.ebuild
new file mode 100644
index 00000000000..5e0804c4843
--- /dev/null
+++ b/games-arcade/komi/komi-1.04-r1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit desktop
+
+DESCRIPTION="Komi the Space Frog - simple SDL game of collection"
+HOMEPAGE="http://komi.sourceforge.net"
+SRC_URI="mirror://sourceforge/komi/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="media-libs/libsdl[video]
+ media-libs/sdl-mixer
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ default
+ eapply "${FILESDIR}"/${PV}-DESTDIR.patch \
+ "${FILESDIR}"/${P}-install.patch
+ sed -i \
+ -e "/^BINPATH/s:=.*:=/usr/bin/:" \
+ -e "/^DATAPATH/s:=.*:=/usr/share/${PN}/:" \
+ -e '/^SDL_LIB/s:$: $(LDFLAGS):' \
+ -e '/^SDL_LIB/s:--static-:--:' \
+ Makefile \
+ || die "sed failed"
+}
+
+src_compile() {
+ emake ECFLAGS="${CFLAGS}"
+}
+
+src_install() {
+ default
+ newicon komidata/sprites_komi.bmp ${PN}.bmp
+ make_desktop_entry komi Komi /usr/share/pixmaps/${PN}.bmp
+ doman komi.6
+}